#version 450

layout (location = 0) in vec2 tex_coords;

layout (location = 0) out vec4 f_color;

layout(set = 1, binding = 0) uniform sampler mySampler;
layout(set = 1, binding = 1) uniform texture2D myTexture;

void main() {
    f_color = texture(sampler2D(myTexture, mySampler), tex_coords);
}
